Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.core
Interface Action

All Known Subinterfaces:
  FailureNotificationAction, FailureRecoveryAction, FailureSuspectedAction, GroupLeadershipNotificationAction, JoinedAndReadyNotificationAction, JoinNotificationAction, MessageAction, PlannedShutdownAction

All Known Implementing Classes:
  FailureNotificationActionImpl, FailureRecoveryActionImpl, FailureSuspectedActionImpl, GroupLeadershipNotificationActionImpl, JoinedAndReadyNotificationActionImpl, JoinNotificationActionImpl, MessageActionImpl, PlannedShutdownActionImpl

    public interface Action

Base interface to denote an Action. An Action consumes a Signal which represents an Event. An Action instance is produced by an ActionFactory. All Action types inherit this base Action interface. Action subtypes are defined in conjunction with a corresponding Signal subtype and ActionFactory. For each specific event, Users of the system implement the corresponding ActionFactory type and Action type. Users of the system register an ActionFactory type for a given type of Signal they wish to receive.

Version:
  $Revision: 1.2 $
Author:
  Shreedhar Ganapathy Date: November 07, 2004

Method Summary
`void` | `consumeSignal(Signal signal)` Implementations of consumeSignal should strive to return control promptly back to the thread that has delivered the Signal.

Method Detail

### consumeSignal

    void consumeSignal(Signal signal)
                       throws ActionException

  Implementations of consumeSignal should strive to return control promptly back to the thread that has delivered the Signal.

  Parameters:
    `signal` - A Signal specifying a particular event in the group
  Throws:
    `ActionException` - thrown when a exception condition occurs wihle the Signal is consumed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.